File: control

package info (click to toggle)
lablgtk2 2.18.8+dfsg-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 3,924 kB
  • sloc: ml: 32,734; ansic: 10,187; makefile: 615; sh: 75
file content (161 lines) | stat: -rw-r--r-- 4,740 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
Source: lablgtk2
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 St├ęphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 12),
 dh-ocaml (>= 0.9.5~),
 ocaml-nox (>= 4.00.1),
 ocaml,
 liblablgl-ocaml-dev (>= 1.04-3~),
 libncurses5-dev,
 libgtk2.0-dev,
 libgtkgl2.0-dev,
 libglade2-dev,
 librsvg2-dev,
 libgtkspell-dev,
 libgtksourceview2.0-dev (>= 2.10),
 ocaml-findlib (>= 1.3.2)
Standards-Version: 4.4.0
Homepage: http://garrigue.github.io/lablgtk/
Vcs-Git: https://salsa.debian.org/ocaml-team/lablgtk2.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/lablgtk2

Package: liblablgtk2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings for GTK+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables.

Package: liblablgtk2-gl-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running dynamic
 bytecode executables using GtkGL functionalities.

Package: liblablgtk2-gnome-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: runtime libraries for OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package include only the dynamic libraries needed for running
 dynamic bytecode executables using GNOME functionalities (rsvg).

Package: liblablgtksourceview2-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Replaces: liblablgtksourceview-ocaml
Breaks: liblablgtksourceview-ocaml (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2 (runtime)
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the shared runtime stub libraries.

Package: liblablgtk2-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gl-ocaml-dev, liblablgtk2-gnome-ocaml-dev
Depends:
 libgtk2.0-dev,
 libglade2-dev,
 libgtkspell-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to Gtk+ version 2
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk.

Package: liblablgtk2-gl-ocaml-dev
Architecture: any
Suggests: liblablgtk2-gnome-ocaml-dev
Depends:
 libgtkgl2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GtkGL
 lablgtk2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the development files of lablgtk for libraries using
 GtkGL.

Package: liblablgtk2-gnome-ocaml-dev
Architecture: any
Depends:
 librsvg2-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Description: OCaml bindings to GNOME
 lablgtk2 contains bindings for GTK+ 2.x and Objective Caml.
 .
 This package contains the development files of lablgtk for libraries using
 GNOME functionalities (rsvg).

Package: liblablgtksourceview2-ocaml-dev
Architecture: any
Depends:
 libgtksourceview2.0-dev,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: liblablgtk2-ocaml-doc
Replaces: liblablgtksourceview-ocaml-dev
Breaks: liblablgtksourceview-ocaml-dev (<< 2.14.0+dfsg-1~)
Description: OCaml bindings for libgtksourceview2, a source editor GTK+ widget
 This is the OCaml binding for the GtkSourceView2 widget, a text widget that
 extends the standard GTK+ 2.x text widget with syntax highlighting and other
 features typical of a source editor.
 .
 This package contains the development part of the lablgtksourceview2 package.

Package: liblablgtk2-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances:
 liblablgtk2-ocaml-dev,
 liblablgtk2-gl-ocaml-dev,
 liblablgtk2-gnome-ocaml-dev,
 liblablgtksourceview2-ocaml-dev
Description: OCaml bindings to Gtk+ version 2 (documentation)
 LablGTK2 contains bindings for GTK+ 2.x and OCaml.
 .
 This package contains the API reference of all libraries provided by
 LablGTK2.